//element组件引用
import Vue from 'vue';
import { DatePicker, RadioButton, Radio, RadioGroup, Switch, Upload, Slider, Autocomplete, Table, Cascader, MessageBox, Tooltip, TableColumn, Tabs, Pagination, Input, Form, FormItem, TabPane, Tree, Select, Option, Dialog, Button, Loading, Message, Checkbox } from 'element-ui'
Vue.use(DatePicker)
Vue.use(Tabs)
Vue.use(Pagination)
Vue.use(TabPane)
Vue.use(Select)
Vue.use(Option)
Vue.use(Dialog)
Vue.use(Button)
Vue.use(Loading)
Vue.use(Checkbox)
Vue.use(Tree)
Vue.use(Input)
Vue.use(Form)
Vue.use(FormItem)
Vue.use(Autocomplete)
Vue.use(Upload)
Vue.use(Table)
Vue.use(TableColumn)
Vue.use(Tooltip)
Vue.use(Cascader)
Vue.use(Switch)
Vue.use(Slider)
Vue.use(RadioButton)
Vue.use(Radio)
Vue.use(RadioGroup)
    // Vue.use(Message)
    // Vue.use(Row)
    // Vue.use(Col)
Vue.prototype.$message = Message;
Vue.prototype.$msgbox = MessageBox;
Vue.prototype.$alert = MessageBox.alert;
Vue.prototype.$confirm = MessageBox.confirm;
Vue.prototype.$prompt = MessageBox.prompt;

Vue.config.productionTip = false